% Escolha um metodo: 1 (Euler), 2 (Taylor de ordem 2), 3 (Taylor de ordem 3)
%                    4 (Heun), 5 (RK3), 6 (RK4)
Metodo = 3;

% Parametros do calculo
t0 = 0;             % Tempo inicial
tf = 1.2;            % Tempo final
h = 0.01;           % Passo de tempo;

% Condicoes iniciais
x0 = 1;             % Valor inicial

% Definindo eqquacao diferencial
F = @(t,z) Exemplo(t,z);

% Resolvendo usando Metodo Escolhido
if Metodo == 1 % Metodo de Euler
    z = Euler(t0,tf,h,x0,F);
    
elseif Metodo == 2 % Metodo de Taylor ordem 2
    F1 = @(t,z) Exemplo_F1(t,z);
    z = Taylor2(t0,tf,h,x0,F,F1);
    
elseif Metodo == 3 % Metodo de Taylor ordem 3
    F1 = @(t,z) Exemplo_F1(t,z);
    F2 = @(t,z) Exemplo_F2(t,z);
    z = Taylor3(t0,tf,h,x0,F,F1,F2);
    
elseif Metodo == 4 % Metodo de Heun 
    z = Heun(t0,tf,h,x0,F);

elseif Metodo == 5 % Metodo RK3 
    z = RK3(t0,tf,h,x0,F);
    
elseif Metodo == 6 % Metodo RK4
    z = RK4(t0,tf,h,x0,F);
end

% Representacao grafica dos resultados
figure; plot(z)

% Apresentacao dos resultados
% z

